• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    • Front End Technology Samples
      • React Charts
      • Angular Charts
      • Vue.js Charts New!
      • jQuery Charts
      • Dashboards
    • Server Side Technology Samples
      • PHP Charts
      • Python Charts New!
      • ASP.NET MVC Charts
      • Spring MVC Charts
      • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
  • My Account
  • KEY FEATURES
    • Chart with Zooming and Panning
    • Exporting Chart to Image
    • Chart with Animation
    • Chart with Multiple Axes
    • Chart with Dynamic Data
    • Chart with Logarithmic Axis
    • Chart using JSON Data
    • Performance with 50,000 Data Points
    • Chart with Crosshair
    • Chart inside Re-Sizable Container
    • Charts inside jQuery Tabs
    • Chart inside Popup Modal
    • Responsive jQuery Chart
    • Drilldown Chart
  • LINE CHARTS
    • Line Chart
    • Spline Chart
    • Step Line Chart
  • AREA CHARTS
    • Area Chart
    • Multi Series Area Chart with Date Time
    • Spline Area Chart
    • Multi Series Spline Area
    • Step Area Chart
    • Range Area Chart
    • Range Spline Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • COLUMN & BAR CHARTS
    • Column Chart
    • Bar Chart
    • Range Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Range Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Waterfall Chart
  • PIE & FUNNEL CHARTS
    • Pie Chart
    • Pie Chart with Index Labels Placed Inside
    • Doughnut Chart
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Candlestick Chart from JSON
    • OHLC Chart
  • SCATTER & BUBBLE CHARTS
    • Scatter Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
  • BOX & WHISKER CHARTS
    • Box and Whisker Chart
    • Box and Whisker Chart with Outliers
  • COMBINATION CHARTS
    • Error Chart
    • Error Line Chart
    • Combination of Column, Line and Area Chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with SplineArea & Navigator
  • REACT, ANGULAR, VUE.JS, JAVASCRIPT
    • React Charts
    • Angular Charts
    • Vue.js Charts
    • JavaScript Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

jQuery Stacked Area Charts & Graphs

Download jQuery Chart Samples
  • jQuery Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Stacked Area Chart is formed by stacking multiple data-series, one on top of the other and is useful to compare contribution of two or more series with the total. Given example shows simple jQuery Stacked Area Chart along with HTML source code that you can edit in-browser or save to run it locally.

Previous Next

Try Editing The Code

window.onload = function () {

var options = {
	animationEnabled: true,
	title:{
		text: "Sales at Different Regions"
	},
	axisY :{
		valueFormatString: "#0,.",
		prefix: "$",
		suffix: "k",
		title: "Sales"
	},
	toolTip: {
		shared: true
	},
	data: [{
		type: "stackedArea",
		showInLegend: true,
		name: "Central",
		xValueFormatString: "MMM YYYY",
		yValueFormatString: "$#,###",
		dataPoints: [
			{ x: new Date(2017, 0), y: 90000 },
			{ x: new Date(2017, 1), y: 83000 },
			{ x: new Date(2017, 2), y: 97000 },
			{ x: new Date(2017, 3), y: 175000 },
			{ x: new Date(2017, 4), y: 148000 },
			{ x: new Date(2017, 5), y: 93000 },
			{ x: new Date(2017, 6), y: 131000 },
			{ x: new Date(2017, 7), y: 142000 },
			{ x: new Date(2017, 8), y: 156000 },
			{ x: new Date(2017, 9), y: 134000 },
			{ x: new Date(2017, 10), y: 115000 },
			{ x: new Date(2017, 11), y: 98000 }
		]
	}, {
		type: "stackedArea",  
		name: "East",
		showInLegend: true,
		yValueFormatString: "$#,###",
		dataPoints: [
			{ x: new Date(2017, 0), y: 93000 },
			{ x: new Date(2017, 1), y: 99000 },
			{ x: new Date(2017, 2), y: 107000 },
			{ x: new Date(2017, 3), y: 110500 },
			{ x: new Date(2017, 4), y: 114000 },
			{ x: new Date(2017, 5), y: 133000 },
			{ x: new Date(2017, 6), y: 205000 },
			{ x: new Date(2017, 7), y: 192000 },
			{ x: new Date(2017, 8), y: 156000 },
			{ x: new Date(2017, 9), y: 114000 },
			{ x: new Date(2017, 10), y: 99000 },
			{ x: new Date(2017, 11), y: 135000 }
		]
	}, {
		type: "stackedArea",  
		name: "South",
		showInLegend: true,
		yValueFormatString: "$#,###",
		dataPoints: [
			{ x: new Date(2017, 0), y: 123000 },
			{ x: new Date(2017, 1), y: 117000 },
			{ x: new Date(2017, 2), y: 107000 },
			{ x: new Date(2017, 3), y: 98000 },
			{ x: new Date(2017, 4), y: 94000 },
			{ x: new Date(2017, 5), y: 103000 },
			{ x: new Date(2017, 6), y: 121000 },
			{ x: new Date(2017, 7), y: 132000 },
			{ x: new Date(2017, 8), y: 99700 },
			{ x: new Date(2017, 9), y: 104000 },
			{ x: new Date(2017, 10), y: 137000 },
			{ x: new Date(2017, 11), y: 145000 }
		]
	}, {
		type: "stackedArea",  
		name: "West",
		//indexLabel: "#total",
		yValueFormatString: "$#,###",
		showInLegend: true,
		dataPoints: [
			{ x: new Date(2017, 0), y: 78000 },
			{ x: new Date(2017, 1), y: 83000 },
			{ x: new Date(2017, 2), y: 67000 },
			{ x: new Date(2017, 3), y: 88600 },
			{ x: new Date(2017, 4), y: 94000 },
			{ x: new Date(2017, 5), y: 73900 },
			{ x: new Date(2017, 6), y: 31000 },
			{ x: new Date(2017, 7), y: 42000 },
			{ x: new Date(2017, 8), y: 56000 },
			{ x: new Date(2017, 9), y: 64000 },
			{ x: new Date(2017, 10), y: 81000 },
			{ x: new Date(2017, 11), y: 105000 }
		]
	}]
};
$("#chartContainer").CanvasJSChart(options);

}                            

Chart Customizations

The size and type of markers can be customized using markerSize and markerType property. Some other commonly used customization options are fillOpacity, color, lineThickness, etc.

Note   For step by step instructions, follow our jQuery Integration Tutorial
© fenopix
  • About Us
  • FAQs
  • Careers
  • Privacy Policy
Server Side Technologies
  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts
Front End Technologies
  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts
Contact
  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download
    • Download Chart
    • Download StockChart
  • Integrations
    • Front End Technology Samples
      • React Charts
      • Angular Charts
      • jQuery Charts
      • Dashboards
    • Server Side Technology Samples
      • PHP Charts
      • ASP.NET MVC Charts
      • Spring MVC Charts
      • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
  • My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming & Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Combination Charts
    • Chart with Animation
    • Chart with Logarithmic Axis
    • Dynamic Chart
    • Chart with Data from AJAX
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart with Date-Time Axis
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabels
  • COLUMN CHARTS
    • Column Chart with Numeric Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabels
    • Multi Series Waterfall Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Index Labels
    • Pie Chart in Dark Theme
    • Doughnut Chart with Index Labels
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Indexlabels
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with Indexlabels
    • Multi Series Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart without Neck
    • Pyramid Chart with Index Labels
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON data
    • Box & Whisker Chart
  • COMBINATION CHARTS
    • Error Bar Chart
    • Pareto Chart
    • Range Area & Line Chart
    • Candlestick & Line Chart
    • OHLC Chart with Trend
  • DYNAMIC CHARTS
    • Dynamic / Live Line Chart
    • Dynamic / Live Column Chart
    • Dynamic / Live Multi Series Chart
  • JAVASCRIPT, REACT, jQUERY
    • JavaScript Charts
    • React Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • JSP Charts
    • Spring MVC Charts

Angular Stacked Area Chart

Download Angular Chart Samples
  • Angular Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Angular Stacked Area Chart that is formed by stacking multiple dataseries one on top of the other.

Read More >>

  • Component Code
  • Module Code
  • HTML Code
/* app.component.ts */
import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {	
	chartOptions = {
	  title: {
		text: "Productivity by Day"             
	  },
	  animationEnabled: true,
	  axisX: {      
		valueFormatString: "DDD"
	  },
	  toolTip: {
		shared: true,
		contentFormatter: function (e: any) {
		  var weekday = ["Sun","Mon", "Tue", "Wed", "Thu","Fri","Sat"];
		  var content = weekday[e.entries[0].dataPoint.x.getDay()] + "<br/>";
		  for (var i = e.entries.length - 1; i >= 0; i--) {
			content += "<span style ='color:" + e.entries[i].dataSeries.color + "; font-weight: bold;';>" + e.entries[i].dataSeries.name + "</span>:" + e.entries[i].dataPoint.y + "hrs";
			content += "<br/>";
		  }
		  return content;
		}
	  },
	  legend: {
		cursor: "pointer",
		itemclick: function(e: any) {
		  if (typeof(e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
			e.dataSeries.visible = false;
		  }
		  else {
			e.dataSeries.visible = true;
		  }
		  e.chart.render();
		}
	  },
	  data: [
		{
		  type: "stackedArea",
		  name: "Very Distracting",
		  showInLegend: true,
		  legendMarkerType: "square",
		  color: "rgba(211,19,14,.9)",
		  markerSize: 0,
		  dataPoints: [
			{x: new Date(2020, 2, 15), y: 2.4 },
			{x: new Date(2020, 2, 16), y: .6 },
			{x: new Date(2020, 2, 17), y: .8 },
			{x: new Date(2020, 2, 18), y: 1.6 },
			{x: new Date(2020, 2, 19), y: 1.4 },
			{x: new Date(2020, 2, 20), y: 1.4 },
			{x: new Date(2020, 2, 21), y: 2.6 }
		  ]
		},
		{
		  type: "stackedArea",        
		  name: "Distracting",
		  showInLegend: true,
		  legendMarkerType: "square",
		  markerSize: 0,
		  color: "rgba(95,53,87,.9)",
		  dataPoints: [
			{x: new Date(2020, 2, 15), y: 3.3 },
			{x: new Date(2020, 2, 16), y: 1.6 },
			{x: new Date(2020, 2, 17), y: 2.1 },
			{x: new Date(2020, 2, 18), y: 1.6 },
			{x: new Date(2020, 2, 19), y: 1.4 },
			{x: new Date(2020, 2, 20), y: 1.7 },
			{x: new Date(2020, 2, 21), y: 4.6 }
		  ]
		},            
		{
		  type: "stackedArea",
		  name: "Productive",
		  showInLegend: true,
		  legendMarkerType: "square",
		  markerSize: 0,
		  color: "rgba(60,84,151,.9)",
		  dataPoints: [
			{x: new Date(2020, 2, 15), y: 2.4 },
			{x: new Date(2020, 2, 16), y:  2 },
			{x: new Date(2020, 2, 17), y: 2.8 },
			{x: new Date(2020, 2, 18), y: 1.6 },
			{x: new Date(2020, 2, 19), y: 1.4 },
			{x: new Date(2020, 2, 20), y: 1.4 },
			{x: new Date(2020, 2, 21), y: 1.6 }
		  ]
		},
		{
		  legendMarkerType: "square",
		  name: "Very Productive",
		  showInLegend: true,
		  type: "stackedArea",
		  markerSize: 0,
		  color: "rgba(22,115,211,.9)",
		  dataPoints: [
			{x: new Date(2020, 2, 15), y: .4 },
			{x: new Date(2020, 2, 16), y: 7 },
			{x: new Date(2020, 2, 17), y: 6.8 },
			{x: new Date(2020, 2, 18), y: 4.6 },
			{x: new Date(2020, 2, 19), y: 6.4 },
			{x: new Date(2020, 2, 20), y: 7.4 },
			{x: new Date(2020, 2, 21), y: 1.6 }
		  ]
		}
	  ]
	}	
}                              
/* app.module.ts */
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';

import * as CanvasJSAngularChart from '../assets/canvasjs.angular.component';
var CanvasJSChart = CanvasJSAngularChart.CanvasJSChart;

@NgModule({
  declarations: [
    AppComponent,
    CanvasJSChart
  ],
  imports: [
    BrowserModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }                        
<div>
    <canvasjs-chart [options]="chartOptions" [styles]="{width: '100%', height:'360px'}"></canvasjs-chart>    
</div>                        

Related Customization

In the above example, tooltip content has been customized with the help of contentFormatter. Dataseries can be shown / hidden by clicking the legend. Some other customizations include showInLegend, shared tooltip, etc.

Note   For step by step instructions, follow our Angular Integration Tutorial
© fenopix
  • About Us
  • FAQs
  • Careers
  • Privacy Policy
Server Side Technologies
  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts
Front End Technologies
  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts
Contact
  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    • Front End Technology Samples
      • React Charts
      • Angular Charts
      • Vue.js Charts New!
      • jQuery Charts
      • Dashboards
    • Server Side Technology Samples
      • PHP Charts
      • Python Charts New!
      • ASP.NET MVC Charts
      • Spring MVC Charts
      • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
  • My Account
  • KEY FEATURES
    • Basic Chart
    • Chart with Animation
    • Chart with Zooming/Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Logarithmic Axis
    • Chart with JSON Data
    • Dynamic Chart
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Column Chart in Dark Theme
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with IndexLabel
  • PIE & DOUGHNUT CHARTS
    • Pie Chart
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Category Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with 3-Dimensional Data
    • Bubble Chart in Dark Theme
    • Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart with Custom Neck Length
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON Data
    • Box & Whisker Chart
    • Waterfall Chart
  • COMBINATION CHARTS
    • Pareto Chart
    • Error Line Chart
    • Combination of Range Area & Line Chart
    • Combination of Candlestick & Line chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, JQUERY, REACT, ANGULAR
    • JavaScript Charts
    • jQuery Charts
    • React Charts
    • Angular Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Vue.js Stacked Area Chart

Download Vue.js Chart Samples
  • Vue.js Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Vuejs Stacked Area Chart with shared tooltip to show information of all the datapoints having common x value.

  • Component
  • Main
/* App.vue */
<script>
  
  export default {
    data() {
      return {
        options: {
          theme: "light2",
          exportEnabled: true,
          title: {
            text: "Sales Order Analysis"
          },
          axisX: {
            valueFormatString: "MMM",
            interval: 1, 
            intervalType: "month"
          },
          axisY: {
            title: "Units Sold"
          },
          toolTip: {
            shared: true
          },
          legend: {
            cursor: "pointer",
            itemclick: function (e) {
              if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
              e.dataSeries.visible = false;
              } else {
              e.dataSeries.visible = true;
              }
              e.chart.render();
            }
          },
          data: [{
            type: "stackedArea",
            name: "Smart TV",
            color: "#0D47A1",
            showInLegend: "true",
            xValueFormatString: "MMM YYYY",
            toolTipContent: "{x}<br/><b><span style='\"'color: {color};'\"'>{name}</span></b>: {y}",
            dataPoints: [
              { x: new Date(2021, 0, 1), y: 20},
              { x: new Date(2021, 1, 1), y: 40},
              { x: new Date(2021, 2, 1), y: 60},
              { x: new Date(2021, 3, 1), y: 50},
              { x: new Date(2021, 4, 1), y: 55},
              { x: new Date(2021, 5, 1), y: 65},
              { x: new Date(2021, 6, 1), y: 69},
              { x: new Date(2021, 7, 1), y: 75},
              { x: new Date(2021, 8, 1), y: 120},
              { x: new Date(2021, 9, 1), y: 90},
              { x: new Date(2021, 10, 1), y: 95},
              { x: new Date(2021, 11, 1), y: 110}
            ]
          },
          {
            type: "stackedArea",
            name: "Mobile",
            color: "#1976D2",
            showInLegend: "true",
            toolTipContent: "<b><span style='\"'color: {color};'\"'>{name}</span></b>: {y}",
            dataPoints: [
              { x: new Date(2021, 0, 1), y: 55},
              { x: new Date(2021, 1, 1), y: 75},
              { x: new Date(2021, 2, 1), y: 83},
              { x: new Date(2021, 3, 1), y: 95},
              { x: new Date(2021, 4, 1), y: 90},
              { x: new Date(2021, 5, 1), y: 95},
              { x: new Date(2021, 6, 1), y: 110},
              { x: new Date(2021, 7, 1), y: 114},
              { x: new Date(2021, 8, 1), y: 170},
              { x: new Date(2021, 9, 1), y: 150},
              { x: new Date(2021, 10, 1), y: 155},
              { x: new Date(2021, 11, 1), y: 210}
            ]
          },
          {
            type: "stackedArea",
            name: "Tablet",
            color: "#2196F3",
            showInLegend: "true",
            toolTipContent: "<b><span style='\"'color: {color};'\"'>{name}</span></b>: {y}",
            dataPoints: [
              { x: new Date(2021, 0, 1), y: 30},
              { x: new Date(2021, 1, 1), y: 45},
              { x: new Date(2021, 2, 1), y: 70},
              { x: new Date(2021, 3, 1), y: 60},
              { x: new Date(2021, 4, 1), y: 65},
              { x: new Date(2021, 5, 1), y: 70},
              { x: new Date(2021, 6, 1), y: 78},
              { x: new Date(2021, 7, 1), y: 80},
              { x: new Date(2021, 8, 1), y: 95},
              { x: new Date(2021, 9, 1), y: 92},
              { x: new Date(2021, 10, 1), y: 97},
              { x: new Date(2021, 11, 1), y: 120}
            ]
          }]
        },
        styleOptions: {
          width: "100%",
          height: "360px"
        }
      }
    }
  }
</script>
  
<template>
    <CanvasJSChart :options="options" :style="styleOptions" />
</template>                              
/*main.js*/
import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSChart from '@canvasjs/vue-charts';

const app = createApp(App);
app.use(CanvasJSChart); // install the CanvasJS Vuejs Chart Plugin
app.mount('#app');                        

Chart Customizations

You can customize the content tooltip for each dataseries using toolTipContent property. Format x-values and y-values in tooltip and index label using xValueFormatString and yValueFormatString.

Note   For step by step instructions, follow our Vuejs Integration Tutorial
© fenopix
  • About Us
  • FAQs
  • Careers
  • Privacy Policy
Server Side Technologies
  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts
Front End Technologies
  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts
Contact
  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    • Front End Technology Samples
      • React Charts
      • Angular Charts
      • Vue.js Charts New!
      • jQuery Charts
      • Dashboards
    • Server Side Technology Samples
      • PHP Charts
      • Python Charts New!
      • ASP.NET MVC Charts
      • Spring MVC Charts
      • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
  • My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming / Panning
    • Chart using JSON Data
    • Chart with Animation
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Crosshair
    • Chart with Scale Breaks
    • Chart with Logarithmic Axis
    • Performance with 50,000 Data Points
    • Responsive Charts
    • Chart with Drilldown
  • LINE CHARTS
    • Line Chart
    • Spline Chart
    • Step Line Chart
  • AREA CHARTS
    • Area Chart
    • Multi Series Area Chart with Date Time Axis
    • Spline Area Chart
    • Step Area Chart
    • Range Area Chart
    • Range Spline Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • COLUMN & BAR CHARTS
    • Column Chart
    • Bar Chart
    • Range Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Range Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Waterfall Chart
  • PIE & FUNNEL CHARTS
    • Pie Chart
    • Pie Chart with Index Labels Placed Inside
    • Doughnut Chart
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Candlestick Chart from JSON
    • OHLC Chart
  • SCATTER & BUBBLE CHARTS
    • Scatter Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
  • BOX & WHISKER CHARTS
    • Box and Whisker Chart
    • Box and Whisker Chart with Customization
  • COMBINATION CHARTS
    • Error chart
    • Error Line Chart
    • Pareto Chart
    • Combination of Column, Line and Area Chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with SplineArea & Range Selector
  • ANGULAR, VUE.JS, JAVASCRIPT, JQUERY
    • Angular Charts
    • Vue.js Charts
    • jQuery Charts
    • JavaScript Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

React Stacked Area Charts & Graphs

Download React Chart Samples
  • React Chart Samples
  • JavaScript Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Stacked Area Chart is formed by stacking one data-series on top of the other. Below example shows React Stacked Area Chart. It also includes source code that you can try running locally.

  • React Code
/* App.js */
import React, { Component } from 'react';
import CanvasJSReact from '@canvasjs/react-charts';
//var CanvasJSReact = require('@canvasjs/react-charts');

var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSChart = CanvasJSReact.CanvasJSChart;
class App extends Component {
	constructor() {
		super();
		this.toggleDataSeries = this.toggleDataSeries.bind(this);
	}
	toggleDataSeries(e){
		if (typeof(e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
			e.dataSeries.visible = false;
		}
		else{
			e.dataSeries.visible = true;
		}
		this.chart.render();
	}
	render() {
		const options = {
			  theme: "light2",
			  animationEnabled: true,
			  exportEnabled: true,
			  title: {
				text: "Energy usage for Air Conditioning"
			  },
			  axisY: {
				title: "Energy (in terawatt hours)"
			  },
			  toolTip: {
				shared: true
			  },
			  legend: {
				verticalAlign: "center",
				horizontalAlign: "right",
				reversed: true,
				cursor: "pointer",
				itemclick: this.toggleDataSeries
			  },
			  data: [
				{
					type: "stackedArea",
					name: "US",
					showInLegend: true,
					xValueFormatString: "YYYY",
					dataPoints: [
						{x: new Date(1990, 0), y: 339},
						{x: new Date(2000, 0), y: 448},
						{x: new Date(2010, 0), y: 588},
						{x: new Date(2016, 0), y: 616}
					]
				},
				{
					type: "stackedArea",
					name: "European Union",
					showInLegend: true,
					xValueFormatString: "YYYY",
					dataPoints: [
						{x: new Date(1990, 0), y: 63},
						{x: new Date(2000, 0), y: 100},
						{x: new Date(2010, 0), y: 149},
						{x: new Date(2016, 0), y: 152}
					]
				},
				{
					type: "stackedArea",
					name: "Japan",
					showInLegend: true,
					xValueFormatString: "YYYY",
					dataPoints: [
						{x: new Date(1990, 0), y: 48},
						{x: new Date(2000, 0), y: 100},
						{x: new Date(2010, 0), y: 119},
						{x: new Date(2016, 0), y: 107},
				]
				},
				{
					type: "stackedArea",
					name: "China",
					showInLegend: true,
					xValueFormatString: "YYYY",
					dataPoints: [
						{x: new Date(1990, 0), y: 7 },
						{x: new Date(2000, 0), y: 45},
						{x: new Date(2010, 0), y: 243},
						{x: new Date(2016, 0), y: 450},
					]
				},
				{
					type: "stackedArea",
					name: "India",
					showInLegend: true,
					xValueFormatString: "YYYY",
					dataPoints: [
						{x: new Date(1990, 0), y: 6},
						{x: new Date(2000, 0), y: 22},
						{x: new Date(2010, 0), y: 49},
						{x: new Date(2016, 0), y: 91},
					]
				}
			]
		}
		return (
		<div>
			<CanvasJSChart options = {options}
				 onRef={ref => this.chart = ref}
			/>
			{/*You can get reference to the chart instance as shown above using onRef. This allows you to access all chart properties and methods*/}
		</div>
		);
	}
}
module.exports = App;                              

Chart Customizations

In the above chart, a data series can be hidden / shown on click of legends by setting the visible property of data series to true / false. Other customizations available are changing cursor on hovering legend, itemTextFormatter, etc.

Note   For step by step instructions, follow our React Integration Tutorial
© fenopix
  • About Us
  • FAQs
  • Careers
  • Privacy Policy
Server Side Technologies
  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts
Front End Technologies
  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts
Contact
  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America